Name:		ocaml-stringext
Version:	1.6.0
Release:	%mkrel 4
Summary:	Extra string functions for OCaml
License:	LGPLv2+ with OCaml linking exception
Group:		Development/OCaml
URL:		https://github.com/rgrinberg/stringext/
Source0:	https://github.com/rgrinberg/stringext/archive/%{version}/stringext-%{version}.tar.gz
BuildRequires:	ocaml-findlib-devel
BuildRequires:	ocaml-ocamlbuild
BuildRequires:	ocaml-dune
BuildRequires:	opam

%description
Extra string functions for OCaml. Mainly splitting. All functions are in the
`Stringext` module.

%package	devel
Summary:	Development files for %{name}
Group:		Development/OCaml
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n stringext-%{version}

%build
make all

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/stringext

dune install --destdir=%{buildroot}

# These files will be installed using the doc and license directives
rm -rf %{buildroot}%{_prefix}/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%files
%doc CHANGES.md README.md
%license LICENSE.md
%dir %{_libdir}/ocaml/stringext
%{_libdir}/ocaml/stringext/META
%{_libdir}/ocaml/stringext/opam
%{_libdir}/ocaml/stringext/*dune*
%{_libdir}/ocaml/stringext/*.cma
%{_libdir}/ocaml/stringext/*.cmi
%{_libdir}/ocaml/stringext/*.cmx
%{_libdir}/ocaml/stringext/*.cmxs

%files devel
%{_libdir}/ocaml/stringext/*.a
%{_libdir}/ocaml/stringext/*.cmxa
%{_libdir}/ocaml/stringext/*.ml
%{_libdir}/ocaml/stringext/*.mli
%{_libdir}/ocaml/stringext/*.cmt
%{_libdir}/ocaml/stringext/*.cmti


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1.6.0-4.mga8
+ Revision: 1670481
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.6.0-3.mga8
+ Revision: 1551503
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1.6.0-2.mga8
+ Revision: 1545199
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 tv <tv> 1.6.0-1.mga8
+ Revision: 1484236
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 1.5.0-3.mga7
+ Revision: 1324287
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 1.5.0-2.mga7
+ Revision: 1299935
- Mageia 7 Mass Rebuild

* Tue Jun 26 2018 daviddavid <daviddavid> 1.5.0-1.mga7
+ Revision: 1239745
- new version: 1.5.0
- switch to jbuilder

* Sun Nov 26 2017 tv <tv> 1.4.3-2.mga7
+ Revision: 1179843
- BR ocaml-ocamlbuild
- rebuild for new ocaml

* Fri Oct 21 2016 daviddavid <daviddavid> 1.4.3-1.mga6
+ Revision: 1062902
- new version: 1.4.3

* Wed Apr 06 2016 daviddavid <daviddavid> 1.4.2-1.mga6
+ Revision: 998849
- new version: 1.4.2

* Thu Feb 18 2016 daviddavid <daviddavid> 1.4.0-1.mga6
+ Revision: 966544
- initial package ocaml-stringext

